View Issue Details

IDProjectCategoryView StatusLast Update
0023868mantisbtapi restpublic2018-02-06 21:17
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.10.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0023868: Support deleting issue relationships via REST API
Description

Add REST API for deleting relationships between issues.

TagsNo tags attached.

Relationships

related to 0023867 closedvboctor Implement IssueRelationshipDeleteCommand 

Activities

Related Changesets

MantisBT: master ee9e004d

2018-01-21 17:35:58

vboctor

Details Diff
Support deleting issue relationships via REST API

Fixes 0023868
Affected Issues
0023868
mod - api/rest/restcore/issues_rest.php Diff File

MantisBT: master 2f88f94d

2018-01-27 15:00:32

vboctor

Details Diff
PR feedback for issue relationships API

Fixes 0023868
Affected Issues
0023868
mod - core/commands/IssueRelationshipAddCommand.php Diff File
mod - core/commands/IssueRelationshipDeleteCommand.php Diff File

Issue History

Date Modified Username Field Change
2018-01-21 13:25 vboctor New Issue
2018-01-21 13:25 vboctor Status new => assigned
2018-01-21 13:25 vboctor Assigned To => vboctor
2018-01-21 13:25 vboctor Relationship added related to 0023867
2018-01-21 19:01 vboctor Note Added: 0058582
2018-01-28 14:01 vboctor Changeset attached => MantisBT master ee9e004d
2018-01-28 14:01 vboctor Changeset attached => MantisBT master 2f88f94d
2018-01-28 14:01 vboctor Status assigned => resolved
2018-01-28 14:01 vboctor Resolution open => fixed
2018-01-28 14:01 vboctor Fixed in Version => 2.11.0
2018-02-06 21:17 vboctor Status resolved => closed